<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
   <TITLE>WimpBasic help - Code library</TITLE>
   <META NAME="Author" CONTENT="">
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (Win95; I) [Netscape]">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#000000" LINK="#FF0000" VLINK="#FF0000" ALINK="#FF0000">

<DD><FONT COLOR="#0080FF"><FONT SIZE=+2>This <A HREF="#The Code">Code</A>
and associated <A HREF="#The Variable">Variables</A> provides</FONT></FONT></DD>

<DD><FONT COLOR="#0080FF"><FONT SIZE=+2>a simple trace facility to help
debugging.</FONT></FONT></DD>

<DD><FONT COLOR="#80FFFF">&nbsp;</FONT></DD>

<DD><FONT COLOR="#80FFFF">&nbsp;</FONT></DD>

<DD><FONT COLOR="#FFFF80">To use, import the file <A HREF="#The Code">'code'</A>
into an empty code window and the </FONT></DD>

<DD><FONT COLOR="#FFFF80"><A HREF="#The Variable">'variables'</A> into
the variables viewer. The files are in the Library</FONT></DD>

<DD><FONT COLOR="#FFFF80">&nbsp;</FONT></DD>

<DD><FONT COLOR="#FFFF80">There are two procedures provided.</FONT></DD>

<DD><FONT COLOR="#FFFF80">&nbsp;</FONT></DD>

<DD><FONT COLOR="#FF0000">Proc</FONT><FONT COLOR="#00FF00">TraceTo</FONT><FONT COLOR="#FF0000">(</FONT><FONT COLOR="#00FF00">&lt;Filename&gt;</FONT><FONT COLOR="#FF0000">)</FONT></DD>

<DD><FONT COLOR="#FF0000">&nbsp;</FONT></DD>

<DD><FONT COLOR="#FFFF80">This is equivalent to the TRACE TO command in
BASIC</FONT></DD>

<DD><FONT COLOR="#FFFF80">&nbsp;</FONT></DD>

<DD><FONT COLOR="#FFFF80">It creates a file to which debug messages will
be sent</FONT></DD>

<DD><FONT COLOR="#FFFF80">&nbsp;</FONT></DD>

<DD><FONT COLOR="#00FFFF">Example:</FONT></DD>

<DD><FONT COLOR="#FF0000">Proc</FONT><FONT COLOR="#00FF00">TraceTo</FONT><FONT COLOR="#FF0000">(</FONT><FONT COLOR="#FFFFFF">&quot;ADFS::4.testfile&quot;</FONT><FONT COLOR="#FF0000">)</FONT></DD>

<DD><FONT COLOR="#FF0000">&nbsp;</FONT></DD>

<DD><FONT COLOR="#00FFFF">Use:</FONT></DD>

<DD><FONT COLOR="#FFFF80">This creates a file which will be used to store
debug messages. </FONT></DD>

<DD><FONT COLOR="#FFFF80">If the specified file already exists, the old
contents will be lost .</FONT></DD>

<DD><FONT COLOR="#FFFF80">&nbsp;</FONT></DD>

<DD><FONT COLOR="#FFFF80">&nbsp;</FONT></DD>

<DD><FONT COLOR="#FF0000">Proc</FONT><FONT COLOR="#00FF00">Trace</FONT><FONT COLOR="#FF0000">(</FONT><FONT COLOR="#00FF00">&lt;string&gt;</FONT><FONT COLOR="#FF0000">)</FONT></DD>

<DD><FONT COLOR="#FF0000">&nbsp;</FONT></DD>

<DD><FONT COLOR="#FFFF80">The appends the string to the file specified
in ProcTraceTo</FONT></DD>
<FONT COLOR="#FFFF80"></FONT>
<DD><FONT COLOR="#FFFF80">It is equivalent to BPUT#TRACE in BASIC.</FONT></DD>

<DD><FONT COLOR="#FF0000">&nbsp;</FONT></DD>

<DD><FONT COLOR="#00FFFF">Example :</FONT></DD>

<DD><FONT COLOR="#FF0000">Proc</FONT><FONT COLOR="#00FF00">Trace</FONT><FONT COLOR="#FF0000">(</FONT><FONT COLOR="#FFFFFF">&quot;The
value of a% at this point is &quot;</FONT><FONT COLOR="#FF0000">+</FONT><FONT COLOR="#00FF00">str$</FONT><FONT COLOR="#FF0000">(</FONT><FONT COLOR="#00FF00">a$</FONT><FONT COLOR="#FF0000">))</FONT></DD>

<DD><FONT COLOR="#FF0000">&nbsp;</FONT></DD>

<FONT COLOR="#FF0000"></FONT>
<DD><A NAME="The Variable"></A><FONT COLOR="#FFFF80"><FONT SIZE=+1>The
Variables:</FONT></FONT></DD>
<DD><FONT COLOR="#FFFF80">&nbsp;</FONT></DD>

<DD><FONT COLOR="#00FFFF">WBV1 </FONT></DD>

<DD><FONT COLOR="#00FFFF">G:Trace , </FONT></DD>

<DD><FONT COLOR="#00FFFF">V:File$ , </FONT></DD>

<DD><FONT COLOR="#00FFFF">V:Handle% ,</FONT></DD>

<DD><FONT COLOR="#FFFF80">&nbsp;</FONT></DD>

<DD><A NAME="The Code"></A><FONT COLOR="#FFFF80"><FONT SIZE=+1>The Code:
Two procedures</FONT></FONT></DD>

<DD><FONT COLOR="#FFFF80">&nbsp;</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/differ/defproc.htm">DefProc</A></FONT><FONT COLOR="#00FF00">TraceTo</FONT><FONT COLOR="#FF0000">(</FONT><FONT COLOR="#00FF00">A$</FONT><FONT COLOR="#FF0000">)</FONT><FONT COLOR="#00FF00">
</FONT></DD>

<DD><FONT COLOR="#00FF00">Trace:File$</FONT><FONT COLOR="#FF0000">=</FONT><FONT COLOR="#00FF00">A$</FONT><FONT COLOR="#FF0000">
</FONT></DD>

<DD><FONT COLOR="#00FF00">Trace:Handle%</FONT><FONT COLOR="#FF0000">=<A HREF="../keywords/basic/o-w/openout.htm">OpenOut(</A></FONT><FONT COLOR="#00FF00">A$</FONT><FONT COLOR="#FF0000">)
</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/basic/a-n/close.htm">Close#</A>
</FONT><FONT COLOR="#00FF00">Trace:Handle%</FONT><FONT COLOR="#FF0000">
</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/basic/a-n/endproc.htm">EndProc</A></FONT></DD>

<DD><FONT COLOR="#000000">&nbsp;</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/differ/defproc.htm">DefProc</A></FONT><FONT COLOR="#00FF00">Trace</FONT><FONT COLOR="#FF0000">(</FONT><FONT COLOR="#00FF00">A$</FONT><FONT COLOR="#FF0000">)
</FONT></DD>

<DD><FONT COLOR="#00FF00">Trace:Handle%</FONT><FONT COLOR="#FF0000">=<A HREF="../keywords/basic/o-w/openup.htm">OpenUp(</A></FONT><FONT COLOR="#00FF00">Trace:File$</FONT><FONT COLOR="#FF0000">)
</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/basic/o-w/ptr.htm">Ptr#</A></FONT><FONT COLOR="#00FF00">Trace:Handle%</FONT><FONT COLOR="#FF0000">=<A HREF="../keywords/basic/a-n/ext.htm">Ext#</A></FONT><FONT COLOR="#00FF00">Trace:Handle%</FONT><FONT COLOR="#FF0000">
</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/basic/a-n/bput.htm">Bput#</A></FONT><FONT COLOR="#00FF00">Trace:Handle%,A$</FONT><FONT COLOR="#FF0000">
</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/basic/a-n/close.htm">Close#</A></FONT><FONT COLOR="#00FF00">Trace:Handle%
</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/basic/a-n/endproc.htm">EndProc</A></FONT></DD>

</BODY>
</HTML>
